accrue.analysis.defuse

## Enum DefUseAnalysisUtil.Mode

- java.lang.Object
- - java.lang.Enum<DefUseAnalysisUtil.Mode>
  - - accrue.analysis.defuse.DefUseAnalysisUtil.Mode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DefUseAnalysisUtil.Mode>
  Enclosing class:
    DefUseAnalysisUtil

      public static enum DefUseAnalysisUtil.Mode
      extends java.lang.Enum<DefUseAnalysisUtil.Mode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INTER_EDGES` interprocedural dependencies are edges between actual statements
    `INTRA_EDGES` interprocedural dependencies are summarized at call sites

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DefUseAnalysisUtil.Mode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DefUseAnalysisUtil.Mode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INTER_EDGES

          public static final DefUseAnalysisUtil.Mode INTER_EDGES

      interprocedural dependencies are edges between actual statements

    - #### INTRA_EDGES

          public static final DefUseAnalysisUtil.Mode INTRA_EDGES

      interprocedural dependencies are summarized at call sites

  - ### Method Detail

    - #### values

          public static DefUseAnalysisUtil.Mode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DefUseAnalysisUtil.Mode c : DefUseAnalysisUtil.Mode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DefUseAnalysisUtil.Mode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null